<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMailEventsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('mail_events', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('event_name');
            $table->string('remark')->nullable();
            $table->boolean('is_active')->default(true);
            $table->text('template')->nullable()->comment('邮件模板，json格式');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('mail_events');
    }
}
